Mark Transaction Processed
Report whether your system processed an incoming transaction.
Set success to true once the transaction has been processed, or false if processing failed (optionally with an errorReason, errorType, and errorContext).
If a transaction was previously reported as failed, you can recover it by calling this endpoint again with success: true once the issue has been resolved on your side (for example, after correcting missing master data in your system). The payload is reused from your system, so there is no need to fetch the transaction again: it moves to the delivered state and its associated error is resolved automatically.
Authorizations
The API Token of your ERP Connection.
Path Parameters
Body
Expected parameters to update a transaction.
Whether or not your system was able to process the given transaction.
Reason your system was not able to process the given transaction.
The type of the error. DATA indicates that the error is caused by invalid or insufficient data and can be resolved by a user. INTERNAL indicates a system-level error that cannot be fixed by a user.
DATA, INTERNAL Additional context/meta data for the error.
Response
Success